import Phaser from "phaser";
// import logoImg from "../assets/twelveHeroes_cover.png";

import World from './WorldGameView';

export default class PhaserGameScene {
  constructor(heroesSet) {
    this.heroesSet = heroesSet;


    // our game's configuration
    let config = {
      type: Phaser.AUTO,  //Phaser will decide how to render our game (WebGL or Canvas)
      width: 1200, // game width
      height: 500, // game height
      scene: World, // our newly created scene
      backgroundColor: 'rgba(34,139,34 ,1 )'
    };

    // create the game, and pass it the configuration
    this.game = new Phaser.Game(config);
    this.game.scene.start('World',{heroesSet:this.heroesSet});
  }

}
